/*
 * ============================================================================
 * (C) Copyright IBM Corporation 2007, 2008.  All Rights Reserved.
 * 
 * You may only copy, modify, and distribute these samples internally.
 * These samples have not been tested under all conditions and are provided
 * to you by IBM without obligation of support of any kind.
 *
 * IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
 * CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
 * CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
 * NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
 * ============================================================================
 */

package http;

import java.util.HashMap;

import zero.core.connection.Connection;
import zero.json.Json;

/**
 * This sample gives an example of making a simple HTTP GET request using the Connection API.
 * A destination configuration is used to override the default read timeout, setting it
 * to 30 seconds
 */
def onPOST() {
    def ret = "HTTP (with timeout set) invocation successful";
    
    try {            
        // Create a new Connection targetted at the http address we wish to post data to.
        def conn = new Connection("http://localhost:8080/http/alt2/dummyAlt2.groovy");  
        
        // We are performing a GET
        conn.setOperation(Connection.Operation.GET);
        
        // Get the response from the http service. Calling send causes the request to
        // be sent and returns the object from which the response can be obtained.
        def resp = conn.send();
        
        // Get the data returned from the service in the form of a String
        def str = resp.getResponseBodyAsString();
        
        ret = ret + ". Data from dummy service was <b>" + str + "</b>";
        
    } catch (Exception e) {
        ret = "HTTP (with timeout set) invocation failed with exception " + e;
    }
    
    def html = invokeMethod("helper.groovy", "getResponseHTML", ret);
    println(html);
}